=== tests/qml-tests-ubuntu-compat/CMakeLists.txt ===
# Copyright © 2013 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

set(TEST tst_QmlTests_UbuntuCompat)
set(XVFB_CMD xvfb-run -a -s "-screen 0 640x480x24")
add_executable(${TEST} ../qml-tests/tst_QmlTests.cpp)
find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core Qml Quick Test QuickTest)
target_link_libraries(${TEST} Qt::Core Qt::Qml Qt::Quick Qt::Test Qt::QuickTest)
add_test(NAME ${TEST} COMMAND ${XVFB_CMD} dbus-test-runner --task ${CMAKE_CURRENT_BINARY_DIR}/${TEST})
set_tests_properties(${TEST} PROPERTIES ENVIRONMENT "QT_QPA_PLATFORM=minimal;QML2_IMPORT_PATH=${CMAKE_BINARY_DIR}/import;APP_ID=com.some.app.for.testing")

set(out_qml_files)
file(GLOB qmlTestFiles RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}/../qml-tests ../qml-tests/*.qml)
foreach(qmlTestFile ${qmlTestFiles})
  add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${qmlTestFile}
                      DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/../qml-tests/${qmlTestFile}
                      COMMAND sed -e 's/Lomiri.Content/Ubuntu.Content/g' ${CMAKE_CURRENT_SOURCE_DIR}/../qml-tests/${qmlTestFile} >${CMAKE_CURRENT_BINARY_DIR}/${qmlTestFile})
endforeach(qmlTestFile)
add_custom_target(copy_qml_test_ubuntu_compat_files_to_build_dir DEPENDS ${qmlTestFiles})
add_dependencies(${TEST}
  lomiri-content-hub-plugin
  copy_ubuntu_compat_files_to_build_dir
  copy_qml_test_ubuntu_compat_files_to_build_dir
)
