=== debian/changelog ===
lomiri-content-hub (2.1.0-4) unstable; urgency=medium

  * debian/control:
    + Add B:/R: (liblomiri-content-hub-glib-dev) relation to obsolete
      libcontent-hub-glib-dev. (Closes: #1102925).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 13 Apr 2025 21:33:19 +0200

lomiri-content-hub (2.1.0-3) unstable; urgency=medium

  [ Chris Lamb ]
  * debian/rules:
    + Use rdfind option '-makeresultsfile false' to make the documentation build
      reproducible. (Closes: #1082707).

  [ Mike Gabriel ]
  * debian/control:
    + Add B:/R: relation between lomiri-content-hub-common and obsolete content-
      hub (as found in Debian 12). (Closes: #1102682).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 12 Apr 2025 11:18:55 +0200

lomiri-content-hub (2.1.0-2) unstable; urgency=medium

  * Re-upload source-only as is.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 11 Apr 2025 06:30:44 +0200

lomiri-content-hub (2.1.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/:
    + Dually build against Qt5 and Qt6 to create client-side shared content hub
      libraries for Qt6-based Lomiri apps.
    + Add arch:all package lomiri-content-hub-common (for translations,
      gschemas, artwork, etc.).
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions for debian/.
  * debian/{control,rules}:
    + Build using dh-click.
    + Build without coverage reporting.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/rules:
    + Variable name change: CONTENT_HUB_TESTING -> LOMIRI_CONTENT_HUB_TESTING.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 09 Apr 2025 14:45:22 +0200
