=== import/Lomiri/Content/CMakeLists.txt ===
--- 
+++ 
@@ -82,21 +82,6 @@
 )
 
 install(TARGETS ${PLUGIN} DESTINATION ${CONTENT_HUB_IMPORTS_DIR})
-install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/qmldir DESTINATION ${CONTENT_HUB_IMPORTS_DIR})
-
-file(GLOB QML_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.qml qmldir)
-install(FILES ${QML_FILES} DESTINATION ${CONTENT_HUB_IMPORTS_DIR})
-
-if(NOT ${CMAKE_CURRENT_BINARY_DIR} STREQUAL ${CMAKE_CURRENT_SOURCE_DIR})
-  # copy qml files and assets over to build dir to be able to import them uninstalled
-  foreach(_file ${QML_FILES})
-    add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${_file}
-                       DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/${_file}
-                       COMMAND ${CMAKE_COMMAND} -E copy_if_different ${CMAKE_CURRENT_SOURCE_DIR}/${_file} ${CMAKE_CURRENT_BINARY_DIR}/${_file})
-  endforeach(_file)
-  add_custom_target(copy_files_to_build_dir DEPENDS ${QML_FILES})
-  add_dependencies(${PLUGIN} copy_files_to_build_dir)
-endif()
 
 if(NOT CMAKE_CROSSCOMPILING)
     set(CHECK_DEFAULT_PATH "")
@@ -108,8 +93,13 @@
                      ${CHECK_DEFAULT_PATH}
     )
 
+    if (ENABLE_QT6)
+        set(LOMIRI_CONTENT_VERSION 2.0)
+    else()
+        set(LOMIRI_CONTENT_VERSION 1.1)
+    endif()
     add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/plugins.qmltypes
-        COMMAND ${QML_PLUGIN_DUMP} -noinstantiate -notrelocatable Lomiri.Content 1.1 ../../ > ${CMAKE_CURRENT_BINARY_DIR}/plugins.qmltypes
+        COMMAND ${QML_PLUGIN_DUMP} -noinstantiate -notrelocatable Lomiri.Content ${LOMIRI_CONTENT_VERSION} ../../ > ${CMAKE_CURRENT_BINARY_DIR}/plugins.qmltypes
         DEPENDS ${PLUGIN}
         WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}"
     )
@@ -117,3 +107,5 @@
     add_custom_target(Content_generated_files ALL SOURCES ${CMAKE_CURRENT_BINARY_DIR}/plugins.qmltypes)
     install(FILES ${CMAKE_CURRENT_BINARY_DIR}/plugins.qmltypes DESTINATION ${CONTENT_HUB_IMPORTS_DIR})
 endif()
+
+add_subdirectory(qml${QT_VERSION_MAJOR})
