=== debian/changelog ===
lomiri-content-hub (2.2.0~git20250807.642a369-1~exp1) experimental; urgency=medium

  * Upload to experimental.

  * New upstream release preview / Git snapshot.
  * debian/{rules,watch}:
    + Adjust to packaging upstream Git snapshots for now.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 21 Sep 2025 11:16:54 +0200
