=== debian/control ===
Source: lomiri-content-hub
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake,
               cmake-extras,
               dbus-test-runner <!nocheck>,
               debhelper-compat (= 13),
               click-dev,
               dh-apparmor,
               doxygen <!nodoc>,
               google-mock <!nocheck>,
               libgtest-dev,
               libapparmor-dev,
               libdbus-1-dev,
               libglib2.0-dev,
               libgsettings-qt-dev,
               libgsettings-qt6-dev,
#               liblibertine-dev,
               liblomiri-api-dev,
               libnotify-dev,
               liblomiri-download-manager-client-dev,
               liblomiri-download-manager-client-qt6-dev,
               liblomiri-app-launch-dev (>= 0.1.1),
#               qml6-module-lomiri-components,
               qml6-module-qtquick <!nocheck>,
               qml6-module-qtquick-window <!nocheck>,
               qml6-module-qttest <!nocheck>,
               qml-module-lomiri-components,
               qml-module-qtquick2,
               qml-module-qttest <!nocheck>,
               qml-module-qtqml-workerscript2,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-tools-dev,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtdeclarative5-dev-tools,
               qttools5-dev-tools,
               rdfind,
               symlinks,
               xvfb <!nocheck>,
               xauth,
# The following two QMLv6 modules are only required when building on Ubuntu noble
               qml6-module-qtqml-models,
               qml6-module-qtqml-workerscript,
Standards-Version: 4.7.2
Section: misc
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/core/lomiri-content-hub
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-content-hub.git
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-content-hub/

Package: lomiri-content-hub
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         lomiri-content-hub-common (>= ${source:Version}),
Replaces: content-hub (<< 2.0.0),
Breaks: content-hub (<< 2.0.0),
Description: content sharing/picking service for Lomiri
 Content sharing/picking infrastructure and service, designed to allow apps to
 securely and efficiently exchange content.
 .
 This package includes the content sharing service.

Package: liblomiri-content-hub1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         lomiri-content-hub-common (>= ${source:Version}),
Suggests: lomiri-content-hub
Description: content sharing/picking library for Lomiri (Qt5)
 Content sharing/picking infrastructure and service, designed to allow apps to
 securely and efficiently exchange content.
 .
 This package includes the content sharing libraries (Qt5).

Package: liblomiri-content-hub-qt6-1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
         lomiri-content-hub-common (>= ${source:Version}),
Suggests: lomiri-content-hub
Description: content sharing/picking library (Qt6)
 Content sharing/picking infrastructure and service, designed to allow apps to
 securely and efficiently exchange content.
 .
 This package includes the content sharing libraries (Qt6).

Package: liblomiri-content-hub-glib1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         lomiri-content-hub-common (>= ${source:Version}),
Suggests: lomiri-content-hub
Description: content sharing/picking library for Lomiri - GLib bindings
 Content sharing/picking infrastructure and service, designed to allow apps to
 securely and efficiently exchange content.
 .
 This package includes GLib bindings of the content sharing libraries.

Package: liblomiri-content-hub-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: liblomiri-content-hub1 (= ${binary:Version}),
         ${misc:Depends},
Breaks: libcontent-hub-dev,
Replaces: libcontent-hub-dev,
Description: content sharing development files (Qt5)
 Content sharing/picking infrastructure and service, designed to allow apps to
 securely and efficiently exchange content.
 .
 This package contains the Qt5 development headers of the library.

Package: liblomiri-content-hub-qt6-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: liblomiri-content-hub-qt6-1 (= ${binary:Version}),
         ${misc:Depends},
Description: content sharing development files (Qt6)
 All the development headers and libraries for the content hub
 .
 This package contains the Qt6 development headers of the library.

Package: liblomiri-content-hub-glib-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: liblomiri-content-hub-glib1 (= ${binary:Version}),
         ${misc:Depends},
Breaks: libcontent-hub-glib-dev,
Replaces: libcontent-hub-glib-dev,
Description: content sharing development files for Lomiri - GLib bindings
 Content sharing/picking infrastructure and service, designed to allow apps to
 securely and efficiently exchange content.
 .
 GLib bindings of the development headers and libraries for the content hub

Package: qml-module-lomiri-content
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: liblomiri-content-hub1,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Description: QML binding for Lomiri's liblomiri-content-hub (Qt5)
 Content sharing/picking infrastructure and service, designed to allow apps to
 securely and efficiently exchange content.
 .
 QML bindings for liblomiri-content-hub (Qt5)

Package: qml6-module-lomiri-content
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: qml6-module-qtquick,
         ${misc:Depends},
         ${shlibs:Depends},
Description: QML binding for Lomiri's liblomiri-content-hub (Qt6)
 Content sharing/picking infrastructure and service, designed to allow apps to
 securely and efficiently exchange content.
 .
 QML bindings for liblomiri-content-hub (Qt6)

Package: liblomiri-content-hub-doc
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Depends: ${misc:Depends},
Multi-Arch: foreign
Description: Documentation files for Lomiri's liblomiri-content-hub-dev
 Content sharing/picking infrastructure and service, designed to allow apps to
 securely and efficiently exchange content.
 .
 Documentation files for the liblomiri-content-hub development

Package: qml-module-lomiri-content-doc
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Depends: ${misc:Depends},
Multi-Arch: foreign
Description: Documentation files for QML module Lomiri Content
 Content sharing/picking infrastructure and service, designed to allow apps to
 securely and efficiently exchange content.
 .
 Documentation files for QML development.

Package: lomiri-content-hub-testability
Architecture: any
Build-Profiles: <!noinsttest>
Depends: ${misc:Depends},
         ${shlibs:Depends},
         lomiri-content-hub,
Replaces: content-hub-testability (<< 2.0.0),
Breaks: content-hub-testability (<< 2.0.0),
Provides: content-hub-testability (= ${binary:Version}),
Description: content sharing testability for Lomiri
 Content sharing/picking infrastructure and service, designed to allow apps to
 securely and efficiently exchange content.
 .
 Files and utilities needed for automated testing of content-hub

Package: lomiri-content-hub-common
Multi-Arch: foreign
Architecture: all
Depends: ${misc:Depends},
Replaces: lomiri-content-hub (<< 2.1.0),
 content-hub,
Breaks: lomiri-content-hub (<< 2.1.0),
 content-hub,
Description: Lomiri Content Hub - common files
 Content sharing/picking infrastructure and service, designed to allow apps to
 securely and efficiently exchange content.
 .
 This package contains common files such as translations.
