=== debian/tests/control ===
# Temporarily disable aa-check test until SO_PEERSEC is fixed (see #1092591)
#Tests: url-dispatcher aa-check
Tests: url-dispatcher
Depends: lomiri-content-hub-testability, dbus-daemon, xauth, xvfb, lomiri-app-launch
Restrictions: allow-stderr
