=== debian/watch ===
version=4
opts="mode=git, pgpmode=none,  pretty=2.2.0~git%cd.%h" \
https://gitlab.com/ubports/development/core/lomiri-content-hub.git heads/personal/gberh/luitk-qt6 debian uupdate
